ALAS-2014-330


Amazon Linux AMI Security Advisory: ALAS-2014-330
Advisory Release Date: 2014-09-18 00:29 Pacific
Severity: Medium

Issue Overview:

Two flaws were found in Wireshark. If Wireshark read a malformed packet off a network or opened a malicious dump file, it could crash or, possibly, execute arbitrary code as the user running Wireshark. (CVE-2014-2281 , CVE-2014-2299 )

Several denial of service flaws were found in Wireshark. Wireshark could crash or stop responding if it read a malformed packet off a network, or opened a malicious dump file. (CVE-2013-6336 , CVE-2013-6337 , CVE-2013-6338 , CVE-2013-6339 , CVE-2013-6340 , CVE-2014-2283 , CVE-2013-7112 , CVE-2013-7114 )


Affected Packages:

wireshark


Issue Correction:
Run yum update wireshark to update your system.

New Packages:
i686:
    wireshark-1.8.10-7.13.amzn1.i686
    wireshark-devel-1.8.10-7.13.amzn1.i686
    wireshark-debuginfo-1.8.10-7.13.amzn1.i686

src:
    wireshark-1.8.10-7.13.amzn1.src

x86_64:
    wireshark-1.8.10-7.13.amzn1.x86_64
    wireshark-devel-1.8.10-7.13.amzn1.x86_64
    wireshark-debuginfo-1.8.10-7.13.amzn1.x86_64